Skip to content
Docs

Update project flag settings

PATCHhttps://api.vercel.com/v1/projects/{projectIdOrName}/feature-flags/settings
Update feature flag settings for a project.
https://api.vercel.com/v1/projects/{projectIdOrName}/feature-flags/settings
const response = await fetch('https://api.vercel.com/v1/projects/projectIdOrName/feature-flags/settings?teamId=string&slug=string', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"enabled": "true",
"entities": [
{
"kind": "string",
"label": "string",
"attributes": [
{
"key": "string",
"type": "string",
"labels": [
{
"label": "string",
"value": "string"
}
]
}
]
}
],
"environments": []
}),
});
const data = await response.json();
console.log(data);
Response
{
"createdAt": "123",
"enabled": "false",
"entities": [
{
"attributes": [
{
"key": "string",
"labels": [
{
"label": "string",
"value": "string"
}
],
"type": "string"
}
],
"kind": "string",
"label": "string"
}
],
"environments": [],
"metadata": {
"activeFlagCount": "123",
"archivedFlagCount": "123",
"configUpdatedAt": "123",
"packRevision": "123",
"packSizeInBytes": "123",
"segmentCount": "123"
},
"ownerId": "example_id",
"projectId": "example_id",
"typeName": "settings",
"updatedAt": "123"
}
AuthorizationbearerToken

Default authentication mechanism

projectIdOrNamestringRequired
The project id or name
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
enabledbooleanOptional
entitiesarrayOptional
environmentsarrayOptional
The environments to sync
200Success
createdAtnumberOptional
enabledbooleanRequired
entitiesarrayRequired
environmentsarrayRequired
metadataobjectRequired
ownerIdstringOptional
projectIdstringRequired
typeNamestringRequired
updatedAtnumberOptional
201Success
createdAtnumberOptional
enabledbooleanRequired
entitiesarrayRequired
environmentsarrayRequired
metadataobjectRequired
ownerIdstringOptional
projectIdstringRequired
typeNamestringRequired
updatedAtnumberOptional
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
402The account is missing a payment so payment method must be updated
403You do not have permission to access this resource.
404Error
409Error
410Error